Get Settlement
curl --request GET \
--url https://api-staging.eximpe.com/pg/settlements/{settlement_id} \
--header 'X-Client-ID: <api-key>' \
--header 'X-Client-Secret: <api-key>'import requests
url = "https://api-staging.eximpe.com/pg/settlements/{settlement_id}"
headers = {
"X-Client-ID": "<api-key>",
"X-Client-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Client-ID': '<api-key>', 'X-Client-Secret': '<api-key>'}
};
fetch('https://api-staging.eximpe.com/pg/settlements/{settlement_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Settlements fetched successfully",
"data": {
"settlement_id": "ST4353980017",
"utr_number": "092dc30a-4f19-4318-9798-ad08b48801f6",
"settlement_completed_date": "2025-06-20T08:06:59.293548Z",
"forex_rate_cents": 8600,
"settlement_amount_cents": 100000,
"settlement_currency": "USD",
"transactions": [
{
"settlement_type": "capture",
"transaction_id": "PR3828502708",
"transaction_amount": 1000,
"merchant_service_fee": 0,
"merchant_service_tax": 0,
"merchant_net_amount": 1000,
"mop_type": "UPI",
"transaction_currency": "INR",
"forex_rate": 86
}
]
}
}{
"success": false,
"message": "Settlement not found",
"error": {
"code": "ERR_SETTLEMENT_404",
"message": "Settlement with ID 'ST4353980017' not found"
}
}Settlement
Get Settlement
Retrieve the details of a specific settlement by its ID.
GET
/
pg
/
settlements
/
{settlement_id}
Get Settlement
Authorizations
Client app ID. You can find your app id in the merchant dashboard.
Client secret key. You can find your secret in the merchant dashboard.
Path Parameters
The ID of the settlement to retrieve.
⌘I